Index: trunk/shell/create-start-front-end
===================================================================
--- trunk/shell/create-start-front-end	(revision 23)
+++ trunk/shell/create-start-front-end	(revision 24)
@@ -67,8 +67,6 @@
    $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
 rpl __FRONT_END_RAMDISK__ $FRONT_END_RAMDISK \
    $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
-rpl __FRONT_END_MEMORY__ $FRONT_END_MEMORY \
-   $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
 rpl __FRONT_END_VCPUS_NUM__ $FRONT_END_VCPUS_NUM \
    $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
 CPUS_LIST=$FRONT_END_CPUS_LIST
@@ -84,6 +82,13 @@
 done
 rpl __FRONT_END_CPUS__ $CPUS \
    $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
+# Memory
+rpl __FRONT_END_MEMORY__ $FRONT_END_MEMORY \
+   $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
+# Root device
+rpl __XEN_SYSTEM_DISK_ROOT_DEVICE__ "$CONST_XEN_SYSTEM_DISK_ROOT_DEVICE" \
+   $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
+#
 rpl __FRONT_END_SYSTEM_DISK__ $FRONT_END_SYSTEM_VOLUME_GROUP_DEVICE/$FRONT_END_SYSTEM_DISK \
    $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
 rpl __FRONT_END_HOME_DISK__ $FRONT_END_HOME_VOLUME_GROUP_DEVICE/$FRONT_END_HOME_DISK \
@@ -107,20 +112,20 @@
 VIF_STANZA=$CONST_XEN_VIF_STANZA_PREFIX
 EXTERNAL_MAC="${CONST_XEN_MAC_PREFIX}${FRONT_END_EXTERNAL_MAC_ADDRESS}"
 INTERNAL_MAC="${CONST_XEN_MAC_PREFIX}${FRONT_END_CLUSTER_MAC_ADDRESS}"
-INTERNAL_BRIDGE="{$CONST_XEN_BRIDGE_PREFIX}${CLUSTER_BRIDGE_NAME}"
-INTERNAL_IP=$FRONT_END_CLUSTER_STATIC_IP
+INTERNAL_BRIDGE="${CONST_XEN_BRIDGE_PREFIX}${CLUSTER_BRIDGE_NAME}"
+INTERNAL_IP="${CONST_XEN_IP_PREFIX}${FRONT_END_CLUSTER_STATIC_IP}"
 if [ $CLUSTER_EXTERNAL_ADDRESSES_BY_DHCP -eq 1 ] ;then
   rpl __XEN_DHCP_STANZA__ "$CONST_XEN_DHCP_STANZA" \
      $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
-  VIF_STANZA="${VIF_STANZA}${EXTERNAL_MAC}','${INTERNAL_IP},${INTERNAL_MAC},${INTERNAL_BRIDGE}${CONST_XEN_VIF_STANZA_POSTFIX}"
+  VIF_STANZA=${VIF_STANZA}${EXTERNAL_MAC}"','"${INTERNAL_IP}","${INTERNAL_MAC}","${INTERNAL_BRIDGE}${CONST_XEN_VIF_STANZA_POSTFIX}
 else
   # Comment out the DHCP_STANZA.
   rpl __XEN_DHCP_STANZA__ "#$CONST_XEN_DHCP_STANZA" \
      $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
-  VIF_STANZA="${VIF_STANZA}${EXTERNAL_IP},${EXTERNAL_MAC},'${INTERNAL_IP},${INTERNAL_MAC},${INTERNAL_BRIDGE}${CONST_XEN_VIF_STANZA_POSTFIX}"
+  VIF_STANZA=${VIF_STANZA}${EXTERNAL_IP}","${EXTERNAL_MAC}",'"${INTERNAL_IP}","${INTERNAL_MAC},${INTERNAL_BRIDGE}${CONST_XEN_VIF_STANZA_POSTFIX}
 fi
 # In any case, write the VIF_STANZA
-rpl __VIF_STANZA__ $VIF_STANZA \
+rpl __VIF_STANZA__ "$VIF_STANZA" \
    $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
 #
 exit 0
@@ -131,7 +136,7 @@
 #
 # Start the virtual machine
 #
-xm create $SCRIPT_PATH/$CURRENT_HOST_NAME.cfg
+xm create $CONST_XEN_CONFIG_DIR/$CURRENT_HOST_NAME.cfg
 #
 # Wait until the virtual machine has started
 #
Index: trunk/shell/c-i-a-b.common
===================================================================
--- trunk/shell/c-i-a-b.common	(revision 23)
+++ trunk/shell/c-i-a-b.common	(revision 24)
@@ -14,6 +14,7 @@
 CONST_XEN_MAC_PREFIX="mac="
 CONST_XEN_NOSWAP="noswap = 1" # For /etc/xen-tools/xen-tools.conf.
 CONST_XEN_NETWORK_SCRIPT_KEYWORD=network-script # For /etc/xen/xend-config.sxp.
+CONST_XEN_SYSTEM_DISK_ROOT_DEVICE="/dev/xvda1 ro"
 CONST_XEN_VIF_STANZA_POSTFIX="' ]"
 CONST_XEN_VIF_STANZA_PREFIX="vif         = [ '"
 #
@@ -60,13 +61,13 @@
 FRONT_END_HOME_DISK=front-end-home-disk
 FRONT_END_HOME_DISK_FILE_SYSTEM=ext3
 #FRONT_END_HOME_DISK_SIZE=512G
-FRONT_END_HOME_DISK_SIZE=10G
+FRONT_END_HOME_DISK_SIZE=5G
 FRONT_END_HOME_VOLUME_GROUP=vg_slow
 FRONT_END_HOME_VOLUME_GROUP_DEVICE="/dev/$FRONT_END_HOME_VOLUME_GROUP"
 FRONT_END_HOST_NAME="tamadi-1-fe"
 FRONT_END_INTERFACES_TEMPLATE=interfaces.front-end
 FRONT_END_KERNEL=/boot/vmlinuz-`uname -r`
-FRONT_END_MEMORY=8G
+FRONT_END_MEMORY=8192 # Must be in Mb for Xen 4.0
 FRONT_END_STATIC_NETWORK_POSTFIX=251
 FRONT_END_CLUSTER_STATIC_IP="$CLUSTER_STATIC_NETWORK_PREFIX.$FRONT_END_STATIC_NETWORK_POSTFIX"
 FRONT_END_EXTERNAL_STATIC_IP="$CLUSTER_STATIC_NETWORK_PREFIX.$FRONT_END_STATIC_NETWORK_POSTFIX"
Index: trunk/shell/templates/etc/xen/front-end.cfg
===================================================================
--- trunk/shell/templates/etc/xen/front-end.cfg	(revision 23)
+++ trunk/shell/templates/etc/xen/front-end.cfg	(revision 24)
@@ -11,12 +11,12 @@
 
 vcpus       = '__FRONT_END_VCPUS_NUM__'
 cpus        = '__FRONT_END_CPUS__'
-memory      = '__FRONT_END_RAMDISK__'
+memory      = '__FRONT_END_MEMORY__'
 
 #
 #  Disk device(s).
 #
-root        = '/dev/xvda2 ro'
+root        = '__XEN_SYSTEM_DISK_ROOT_DEVICE__'
 disk        = [
                   'phy:__FRONT_END_SYSTEM_DISK__,xvda1,w',
                   'phy:__FRONT_END_HOME_DISK__,xvda2,w',
